<template>
  <div>
    <h1 class="text-h1">Новости</h1>
    <div class="pt-5">
      <news-list v-if="!!list?.length" :list="list" />
      <skeleton-items v-else />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import NewsList from "../../components/news/news-list.vue";
import SkeletonItems from "../../components/ui/SkeletonItems.vue";
import mockController from "../../services/api/mock/mock-controller";

export default defineComponent({
  name: "NewsPage",
  components: {
    NewsList,
    SkeletonItems,
  },
  setup() {
    const list = ref();
    const isLoading = ref(false);

    const loadList = async () => {
      isLoading.value = true;
      try {
        const res = await mockController.getNewsList();
        list.value = res;
      } catch (e) {
        console.log(e);
      } finally {
        isLoading.value = false;
      }
    };
    loadList();

    return {
      list,
    };
  },
});
</script>
